%define name perl-MIME-Base64
%define version 2.06
%define release 1
%define builddir $RPM_BUILD_DIR/%{name}-%{version}
Name:		%{name}
Version:	%{version}
Release:	1
Vendor:		Mailing List <libwww-perl@ics.uci.edu>
Source:         MIME-Base64-2.06.tar.gz
Group:		Utilities/Text
Copyright:	Free
Summary:	Perl MIME-Base64 module
BuildRoot:	/var/tmp/MIME-Base64-root
Requires:	perl

%description
Base64 encoder/decoder and a quoted-printable encoder/decoder.
These encoding methods are specified in RFC 2045 - MIME 
(Multipurpose Internet Mail Extensions).

%changelog
* Wed Jul 22 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial RPM release

%prep
%setup -n MIME-Base64-2.06

%build
perl Makefile.PL
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/i386-linux/auto/MIME/Base64
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/MIME
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/i386-linux/5.00404
make install PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%doc README
/usr/lib/perl5/site_perl/i386-linux/auto/MIME/Base64/Base64.so
/usr/lib/perl5/site_perl/i386-linux/auto/MIME/Base64/Base64.bs
/usr/lib/perl5/site_perl/MIME/Base64.pm
/usr/lib/perl5/site_perl/MIME/QuotedPrint.pm
/usr/lib/perl5/man/man3/MIME::Base64.3
/usr/lib/perl5/man/man3/MIME::QuotedPrint.3
/usr/lib/perl5/site_perl/i386-linux/auto/MIME/Base64/.packlist

